PGP errors while updating

I tried this but it didn't work

here's the output in Portuguese (I couldn't figure out how to change language, I changed in the manjaro settings manager,rebooted and it's still in Portuguese) it basically says that the signature are invalid or corrupted so no update happened.

erro: gst-plugins-bad: a assinatura de "Maxime Gauduin <alucryd@alucryd.xyz>" é inválida
:: Arquivo /var/cache/pacman/pkg/gst-plugins-bad-1.16.1-3-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] n
erro: linux419: a assinatura de "Philip Müller (Called Little) <philm@manjaro.org>" é inválida
:: Arquivo /var/cache/pacman/pkg/linux419-4.19.81-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] n
erro: linux53: a assinatura de "Helmut Stult (schinfo) <helmut.stult@schinfo.de>" é inválida
:: Arquivo /var/cache/pacman/pkg/linux53-5.3.8-3-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] n
erro: falha ao efetuar a transação (pacote inválido ou corrompido)
Ocorreram erros e, portanto, nenhum pacote foi atualizado.

Make sure the date and time is set correctly on your system but also if sudo pacman -Syyu doesn't work (it will normally check for signature updates and apply them before anything else), read the topic I link to below and work through the commands as directed by jonathon. You should be up and running again afterwards.

Forum kindly sponsored by